org.apache.flume.api

## Enum RpcClientFactory.ClientType

- java.lang.Object
- - java.lang.Enum<RpcClientFactory.ClientType>
  - - org.apache.flume.api.RpcClientFactory.ClientType

- All Implemented Interfaces:
    Serializable, Comparable<RpcClientFactory.ClientType>
  Enclosing class:
    RpcClientFactory

      public static enum RpcClientFactory.ClientType
      extends Enum<RpcClientFactory.ClientType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT`
    `DEFAULT_FAILOVER`
    `DEFAULT_LOADBALANCE`
    `OTHER`
    `THRIFT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getClientClassName()`
    `static RpcClientFactory.ClientType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RpcClientFactory.ClientType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OTHER

          public static final RpcClientFactory.ClientType OTHER

    - #### DEFAULT

          public static final RpcClientFactory.ClientType DEFAULT

    - #### DEFAULT_FAILOVER

          public static final RpcClientFactory.ClientType DEFAULT_FAILOVER

    - #### DEFAULT_LOADBALANCE

          public static final RpcClientFactory.ClientType DEFAULT_LOADBALANCE

    - #### THRIFT

          public static final RpcClientFactory.ClientType THRIFT

  - ### Method Detail

    - #### values

          public static RpcClientFactory.ClientType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RpcClientFactory.ClientType c : RpcClientFactory.ClientType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RpcClientFactory.ClientType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getClientClassName

          protected String getClientClassName()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.